生信小白杨阿云 2021-08-08 02:47 采纳率: 57.1%
浏览 118
已结题

如何修改tensorflow-docker默认python版本?

我刚刚配置了tensorflow-docker,但在使用过程中发现默认的python是3.6.9版本,和我的很多程序和需要的包版本都不匹配,我想要换成python=3.8版本的,借鉴了

https://blog.csdn.net/qq_33188180/article/details/109723636 https://blog.csdn.net/qq_33188180/article/details/109723636
但是没有起作用。

这是我在借鉴上面教程操作后python命令的指向
img

在命令端直接输入python以后版本已经改为3.8了
但是当我查看要用的tensorflow的python版本时发现还是3.6.9


```bash
sudo docker run -it --gpus=all tensorflow/tensorflow:latest-gpu-jupyter python3
Python 3.6.9 (default, Jan 26 2021, 15:33:00)
[GCC 8.4.0] on linux
Type "help", "copyright", "credits" or "license" for more information.





  • 写回答

1条回答 默认 最新

  • Soda Wang 2021-08-08 10:23
    关注

    docker要打包吧!你这个好像还是官方的包

    本回答被题主选为最佳回答 , 对您是否有帮助呢?
    评论

报告相同问题?

问题事件

  • 系统已结题 9月14日
  • 已采纳回答 9月6日
  • 创建了问题 8月8日

悬赏问题

  • ¥15 remotes安装提示没有description文件
  • ¥15 AttributeError: 'NoneType' object has no attribute 'drop_duplicates'报错
  • ¥15 以下代码,运行结果报错
  • ¥15 Vivado仿真数据出错
  • ¥15 银河麒麟不支持vant等前端框架怎么办?
  • ¥15 vue3的子组件在父页面调用不显示不生效问题
  • ¥15 cadence PEX
  • ¥15 phython创建了文件 显示在项目下面,但运行不了,运行时还是运行main文件,并且说main文件不允许并行运行
  • ¥15 FutureWarning:不推荐使用空或全 NA 条目的 DataFrame 串联行为。怎么改呢?
  • ¥15 Chatgpt突然无法正常显示数学公式,如何解决?